linux: 3.19.0-31.36 -proposed tracker

Bug #1503703 reported by Luis Henriques on 2015-10-07
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Vivid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-31.36 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 07. October 2015 14:11 UTC
kernel-stable-Prepare-package-end:Thursday, 08. October 2015 00:03 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 08. October 2015 00:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 08. October 2015 12:49 UTC
kernel-stable-Verification-testing-start:Thursday, 08. October 2015 14:02 UTC
kernel-stable-Certification-testing-start:Thursday, 08. October 2015 14:02 UTC
kernel-stable-Security-signoff-start:Thursday, 08. October 2015 14:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Thursday, 08. October 2015 14:03 UTC
kernel-stable-Security-signoff-end:Thursday, 08. October 2015 18:01 UTC
kernel-stable-Certification-testing-end:Friday, 16. October 2015 16:54 UTC
kernel-stable-Regression-testing-end:Friday, 16. October 2015 17:10 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 20. October 2015 13:54 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 20. October 2015 17:51 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 20. October 2015 19:00 UTC

CVE References

Luis Henriques (henrix) on 2015-10-07
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-vivid
tags: added: vivid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Vivid):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-vivid (14.04.1) - bug 1503924

description: updated
Adam Conrad (adconrad) on 2015-10-08
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Brad Figg (brad-figg) on 2015-10-08
description: updated
Brad Figg (brad-figg) on 2015-10-08
description: updated
Brad Figg (brad-figg) on 2015-10-08
description: updated

Here's the relevant information:

 vivid linux 3.19.0-31.36 REGR summary<REGR: 1 FAIL: 5 GOOD: 22>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have begun testing this -proposed kernel.

Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/vivid/3.19.0-31.36/vivid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-10-16
description: updated
Brad Figg (brad-figg) on 2015-10-16
tags: added: qa-testing-passed
description: updated
Brad Figg (brad-figg) on 2015-10-20
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.5 KiB)

This bug was fixed in the package linux - 3.19.0-31.36

---------------
linux (3.19.0-31.36) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1503703

  [ Andy Whitcroft ]

  * Revert "SAUCE: aufs3: mmap: Fix races in madvise_remove() and
    sys_msync()"
    - LP: #1503655

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - LP: #1503655
    - CVE-2015-7312

linux (3.19.0-31.35) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1503005

  [ Ben Hutchings ]

  * SAUCE: aufs3: mmap: Fix races in madvise_remove() and sys_msync()
    - CVE-2015-7312

  [ Craig Magina ]

  * [Config] Add XGENE_EDAC, EDAC_SUPPORT and EDAC_ATOMIC_SCRUB
    - LP: #1494357

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: fix mount not handling disconnected paths
    - LP: #1496430

  [ Laurent Dufour ]

  * SAUCE: powerpc/hvsi: Fix endianness issues in the HVSI driver
    - LP: #1499357

  [ Tim Gardner ]

  * [Config] CONFIG_RTC_DRV_XGENE=y for only arm64
    - LP: #1499869

  [ Upstream Kernel Changes ]

  * Revert "sit: Add gro callbacks to sit_offload"
    - LP: #1500493
  * ipmi/powernv: Fix minor locking bug
    - LP: #1493017
  * mmc: sdhci-pci: set the clear transfer mode register quirk for O2Micro
    - LP: #1472843
  * perf probe ppc: Fix symbol fixup issues due to ELF type
    - LP: #1485528
  * perf probe ppc: Use the right prefix when ignoring SyS symbols on ppc
    - LP: #1485528
  * perf probe ppc: Enable matching against dot symbols automatically
    - LP: #1485528
  * perf probe ppc64le: Fix ppc64 ABIv2 symbol decoding
    - LP: #1485528
  * perf probe ppc64le: Prefer symbol table lookup over DWARF
    - LP: #1485528
  * perf probe ppc64le: Fixup function entry if using kallsyms lookup
    - LP: #1485528
  * perf probe: Improve detection of file/function name in the probe
    pattern
    - LP: #1485528
  * perf probe: Ignore tail calls to probed functions
    - LP: #1485528
  * seccomp: cap SECCOMP_RET_ERRNO data to MAX_ERRNO
    - LP: #1496073
  * EDAC: Cleanup atomic_scrub mess
    - LP: #1494357
  * arm64: Enable EDAC on ARM64
    - LP: #1494357
  * MAINTAINERS: Add entry for APM X-Gene SoC EDAC driver
    - LP: #1494357
  * Documentation: Add documentation for the APM X-Gene SoC EDAC DTS
    binding
    - LP: #1494357
  * EDAC: Add APM X-Gene SoC EDAC driver
    - LP: #1494357
  * arm64: Add APM X-Gene SoC EDAC DTS entries
    - LP: #1494357
  * EDAC, edac_stub: Drop arch-specific include
    - LP: #1494357
  * NVMe: Fix blk-mq hot cpu notification
    - LP: #1498778
  * blk-mq: Shared tag enhancements
    - LP: #1498778
  * blk-mq: avoid access hctx->tags->cpumask before allocation
    - LP: #1498778
  * x86/ldt: Make modify_ldt synchronous
    - LP: #1500493
  * x86/ldt: Correct LDT access in single stepping logic
    - LP: #1500493
  * x86/ldt: Correct FPU emulation access to LDT
    - LP: #1500493
  * md: flush ->event_work before stopping array.
    - LP: #1500493
  * ipv6: addrconf: validate new MTU before applying it
    - LP: #1500493
  * virtio-net: drop NETIF_F_FRAGLIST
    - LP: #1500493
  * RDS: verify the underlying transport exists bef...

Changed in linux (Ubuntu Vivid):
status: Confirmed → Fix Released

 linux | 3.19.0-31.36 | vivid-updates | source
 linux-meta | 3.19.0.31.30 | vivid-updates | source
 linux-signed | 3.19.0-31.36 | vivid-updates | source

Brad Figg (brad-figg) on 2015-10-20
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers